Download it now!
Bug 137038 - UI: Crash reporter dialog size is relatively large for German language
Summary: UI: Crash reporter dialog size is relatively large for German language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-26 08:53 UTC by Telesto
Modified: 2020-09-29 08:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (13.41 KB, application/pdf)
2020-09-28 09:03 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-26 08:53:54 UTC
Description:
UI: Crash reporter dialog size is relatively large for German language

Steps to Reproduce:
1. Open Writer
2. Indent
3. Undo
4. Redo
5. Press OK
6. Crash dialog


Actual Results:
Pretty width compared to English

Expected Results:
Not sure how this looks on small screens etc.. and how harmonic it should be
I personally would expect a smaller dialog, with two lines of text


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52a49f9e480ca03e231cfda82640a928393131c9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Heiko Tietze 2020-09-28 08:35:41 UTC
Not sure the crash handler is a LibreOffice dialog. And I wouldn't make it smaller. Consider the other tab as well.

=> NAB
Comment 2 Heiko Tietze 2020-09-28 08:37:30 UTC
Please add the ticket to See Also where the crash itself is reported.
Comment 3 Telesto 2020-09-28 09:03:31 UTC
Created attachment 165908 [details]
Screenshot
Comment 4 Heiko Tietze 2020-09-28 09:08:59 UTC
Maybe the line has also no proper wrapping. CC'ing Caolan.

(Didn't get this dialog but the crash report from KDE.)
Comment 5 Telesto 2020-09-28 09:18:03 UTC
(In reply to Heiko Tietze from comment #2)
> Please add the ticket to See Also where the crash itself is reported.

The bug I remember, bug number is a different story & time consuming.. but here you go
Comment 6 Commit Notification 2020-09-28 19:10:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fb48e9cca4b4ba26d20e1fdd0f9ee65e7ef54210

Resolves: tdf#137038 set a max width for crash reporter label

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2020-09-28 19:16:33 UTC
done in master, backport to 7-0 in gerrit
Comment 8 Commit Notification 2020-09-29 08:13:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6f951da001ff907c6d388ba1bc8db8ede0011a43

Resolves: tdf#137038 set a max width for crash reporter label

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.